[Résolu]Calibre e-book

Jean-M
Messages : 111
Inscription : 06 juin 2014, 23:21
Localisation : Pays basque

[Résolu]Calibre e-book

Message par Jean-M » 13 février 2016, 00:01

Bonsoir,
Aucun effort de la part de CentOS / RedHat depuis 3 mois maintenant, il n'est toujours plus possible de mettre à jour ce logiciel simplement (Ça fonctionne correctement sur SuSE, entre autre.)

Code : Tout sélectionner

[root@dalinky ~]# wget --no-check-certificate -nv -O- https://raw.githubusercontent.com/kovidgoyal/calibre/master/setup/linux-installer.py | sudo python -c "import sys; main=lambda x:sys.stderr.write('Download failed\n'); exec(sys.stdin.read()); main('/opt')"
2016-02-12 22:37:22 URL:https://raw.githubusercontent.com/kovidgoyal/calibre/master/setup/linux-installer.py [25909/25909] -> "-" [1]
Installing to /opt/calibre
Downloading tarball signature securely...
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "<string>", line 670, in main
  File "<string>", line 655, in run_installer
  File "<string>", line 627, in download_and_extract
  File "<string>", line 619, in get_tarball_info
  File "<string>", line 578, in get_https_resource_securely
  File "<string>", line 487, in __init__
  File "/usr/lib64/python2.7/httplib.py", line 1182, in __init__
    context.load_cert_chain(cert_file, key_file)
ssl.SSLError: [SSL] PEM lib (_ssl.c:2757)
[root@dalinky ~]# 
Dommage pour Linux sur les postes de travail. Personnellement je n'est pas de méthode simple si non en faisant tourner Calibre de la même façon que j'utilise Visio et autres (logiciels sans équivalent et/ou compatibilité avec clients) dans une VM VirtualBox accueillant un W7 (j'ai honte de moi)

Y aurait-il une solution plus ,disons, élégante pour utiliser les dernières versions de Calibre ?
Bon week-end à tous

PS: j'ai déjà parlé de ce problème dans un autre fil ici
Dernière modification par Jean-M le 21 novembre 2016, 17:05, modifié 1 fois.
Jean-M - Retraité ex-Ingénieur d'étude sur Grands Systèmes et Consultant Qualité
Équipement : CentOS Linux 8.1 (sur fixe I5-4690+GT1030 16Go)

Beta-Pictoris
Messages : 1017
Inscription : 07 janvier 2014, 21:48
Localisation : Angers, France

Re: Calibre e-book

Message par Beta-Pictoris » 13 février 2016, 12:03

As tu essayé de l'installer manuellement comme expliqué dans le lien que je t'avais donné dans l'autre fil ?

Jean-M
Messages : 111
Inscription : 06 juin 2014, 23:21
Localisation : Pays basque

[Résolu]Calibre e-book

Message par Jean-M » 17 février 2016, 23:04

Bonsoir,
Oui, bien sur, j'ai essayé et ça produit exactement la même erreur.
Ce peut être un problème de version de Python à priori Calibre préconise une version 2.7.9 (mais pas 3.x)
Sur ma bécane, il y a python-2.7.5-34.el7.x86_64 et python3-3.3.2-12.el7.nux.x86_64
@+

Je ne réponds pas régulièrement (car je suis en déplacement en ce moment) déplacements terminés, je suis en retraite.

Calibre se charge normalement maintenant !
Dernière modification par Jean-M le 21 novembre 2016, 16:59, modifié 1 fois.
Jean-M - Retraité ex-Ingénieur d'étude sur Grands Systèmes et Consultant Qualité
Équipement : CentOS Linux 8.1 (sur fixe I5-4690+GT1030 16Go)

Beta-Pictoris
Messages : 1017
Inscription : 07 janvier 2014, 21:48
Localisation : Angers, France

Re: Calibre e-book

Message par Beta-Pictoris » 23 février 2016, 00:52

Je viens d'essayer. La méthode manuelle d'installation marche partaitement.

Voir ici: https://calibre-ebook.com/download_linux (Paragraphe Manual binary install or reverting to a previous version)

Répondre